<?php
/**
 * The template part for displaying post
 * @package Driving School Lite
 * @subpackage driving_school_lite
 * @since 1.0
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?> 
<article>
  <h1><?php the_title();?></h1>
  <div class="post-info">
    <i class="fa fa-calendar" aria-hidden="true"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><span class="entry-date"><?php echo esc_html( get_the_date() ); ?></span><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a>
    <i class="fa fa-user" aria-hidden="true"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><span class="entry-author"> <?php the_author(); ?></span><span class="screen-reader-text"><?php the_author(); ?></span></a>
    <i class="fa fa-comments" aria-hidden="true"></i><span class="entry-comments"> <?php comments_number( __('0 Comments','driving-school-lite'), __('0 Comments','driving-school-lite'), __('% Comments','driving-school-lite') ); ?></span> 
  </div>
  <?php if(has_post_thumbnail()) { ?>
  <hr>
  <div class="feature-box"> 
    <?php the_post_thumbnail(); ?>
  </div>
  <hr>          
  <?php } ?>
  <div class="entry-content"><?php the_content();?></div>

  <?php 
  wp_link_pages( array(
  'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'driving-school-lite' ) . '</span>',
  'after'       => '</div>',
  'link_before' => '<span>',
  'link_after'  => '</span>',
  'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'driving-school-lite' ) . ' </span>%',
  'separator'   => '<span class="screen-reader-text">, </span>',
  ) );

  if ( is_singular( 'attachment' ) ) {
  // Parent post navigation.
  the_post_navigation( array(
    'prev_text' => _x( '<span class="meta-nav">Published in</span><span class="post-title">%title</span>', 'Parent post link', 'driving-school-lite' ),
  ) );
  } elseif ( is_singular( 'post' ) ) {
  // Previous/next post navigation.
  the_post_navigation( array(
    'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'driving-school-lite' ) . '</span> ' .
      '<span class="screen-reader-text">' . __( 'Next post:', 'driving-school-lite' ) . '</span> ' .
      '<span class="post-title">%title</span>',
    'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'driving-school-lite' ) . '</span> ' .
      '<span class="screen-reader-text">' . __( 'Previous post:', 'driving-school-lite' ) . '</span> ' .
      '<span class="post-title">%title</span>',
  ) );
  }
  echo '<div class="clearfix"></div>';      
  the_tags(); 

        // If comments are open or we have at least one comment, load up the comment template.
  if ( comments_open() || get_comments_number() ) {
  comments_template();
  }?>
</article>